Package org.apache.commons.daemon

# Interface DaemonController

All Known Implementing Classes:
  `DaemonLoader.Controller`

public interface DaemonController
Defines methods needed by the DaemonLoader.

Version:
  $Id: DaemonController.java 1204010 2011-11-19 16:15:23Z ggregory $
Author:
  Pier Fumagalli

## Method Summary

Modifier and Type
Method
Description
`void`
`fail()`
Shuts down daemon and logs failed message.
`void`
`fail(Exception exception)`
Shuts down daemon and logs failed message.
`void`
`fail(String message)`
Shuts down daemon and logs failed message.
`void`
`fail(String message, Exception exception)`
Shuts down daemon and logs failed message.
`void`
`reload()`
Reloads daemon
`void`
`shutdown()`
Shuts down the daemon.

## Method Details

### shutdown

void shutdown() throws IllegalStateException
Shuts down the daemon.

Throws:
  `IllegalStateException`

### reload

void reload() throws IllegalStateException
Reloads daemon

Throws:
  `IllegalStateException`

### fail

void fail() throws IllegalStateException
Shuts down daemon and logs failed message.

Throws:
  `IllegalStateException`

### fail

void fail(String message) throws IllegalStateException
Shuts down daemon and logs failed message.

Throws:
  `IllegalStateException`

### fail

void fail(Exception exception) throws IllegalStateException
Shuts down daemon and logs failed message.

Throws:
  `IllegalStateException`

### fail

void fail(String message, Exception exception) throws IllegalStateException
Shuts down daemon and logs failed message.

Throws:
  `IllegalStateException`